Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QFtp.Error

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QFtp.Error

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFtp

    public static final class QFtp.Error

extends java.lang.Enum
implements QtEnumerator

This enum specifies different error cases

See Also:
  Serialized Form

Field Summary
`static QFtp.Error` | `ConnectionRefused`
`static QFtp.Error` | `HostNotFound`
`static QFtp.Error` | `NoError` No error has occurred.
`static QFtp.Error` | `NotConnected`
`static QFtp.Error` | `UnknownError`

Method Summary
`static QFtp.Error` | `resolve(int value)` Returns the Error constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFtp.Error` | `valueOf(java.lang.String name)`
`static QFtp.Error[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoError

    public static final QFtp.Error NoError

  No error has occurred.

### UnknownError

    public static final QFtp.Error UnknownError

### HostNotFound

    public static final QFtp.Error HostNotFound

### ConnectionRefused

    public static final QFtp.Error ConnectionRefused

### NotConnected

    public static final QFtp.Error NotConnected

Method Detail

### values

    public static QFtp.Error[] values()

### valueOf

    public static QFtp.Error valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFtp.Error resolve(int value)

  Returns the Error constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD